Index: create.patch.sh
===================================================================
--- create.patch.sh (nonexistent)
+++ create.patch.sh (revision 251)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+VERSION=3.16.2
+
+tar --files-from=file.list -xJvf ../fuse-$VERSION.tar.xz
+mv fuse-$VERSION fuse-$VERSION-orig
+
+cp -rf ./fuse-$VERSION-new ./fuse-$VERSION
+
+diff --unified -Nr fuse-$VERSION-orig fuse-$VERSION > fuse-$VERSION-source-lsb.patch
+
+mv fuse-$VERSION-source-lsb.patch ../patches
+
+rm -rf ./fuse-$VERSION
+rm -rf ./fuse-$VERSION-orig
Property changes on: create.patch.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: file.list
===================================================================
--- file.list (nonexistent)
+++ file.list (revision 251)
@@ -0,0 +1 @@
+fuse-3.16.2/util/init_script
Index: fuse-3.16.2-new/util/init_script
===================================================================
--- fuse-3.16.2-new/util/init_script (nonexistent)
+++ fuse-3.16.2-new/util/init_script (revision 251)
@@ -0,0 +1,94 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: fuse
+# Required-Start:
+# Should-Start: udev
+# Required-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Start and stop fuse.
+# Description: Load the fuse module and mount the fuse control
+# filesystem.
+### END INIT INFO
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+MOUNTPOINT=/sys/fs/fuse/connections
+
+# Gracefully exit if the package has been removed.
+which fusermount3 &>/dev/null || exit 5
+
+# Define LSB log_* functions.
+if [ -r /lib/lsb/init-functions ]; then
+ . /lib/lsb/init-functions
+fi
+
+case "$1" in
+ start|restart|force-reload)
+ if ! grep -qw fuse /proc/filesystems; then
+ echo -n "Loading fuse module"
+ if ! modprobe fuse >/dev/null 2>&1; then
+ echo " failed!"
+ exit 1
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse filesystem already available."
+ fi
+ if grep -qw fusectl /proc/filesystems && \
+ ! grep -qw $MOUNTPOINT /proc/mounts; then
+ echo -n "Mounting fuse control filesystem"
+ if ! mount -t fusectl fusectl $MOUNTPOINT >/dev/null 2>&1; then
+ echo " failed!"
+ exit 1
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse control filesystem already available."
+ fi
+ ;;
+ stop)
+ if ! grep -qw fuse /proc/filesystems; then
+ echo "Fuse filesystem not loaded."
+ exit 7
+ fi
+ if grep -qw $MOUNTPOINT /proc/mounts; then
+ echo -n "Unmounting fuse control filesystem"
+ if ! umount $MOUNTPOINT >/dev/null 2>&1; then
+ echo " failed!"
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse control filesystem not mounted."
+ fi
+ if grep -qw "^fuse" /proc/modules; then
+ echo -n "Unloading fuse module"
+ if ! rmmod fuse >/dev/null 2>&1; then
+ echo " failed!"
+ else
+ echo "."
+ fi
+ else
+ echo "Fuse module not loaded."
+ fi
+ ;;
+ status)
+ echo -n "Checking fuse filesystem"
+ if ! grep -qw fuse /proc/filesystems; then
+ echo " not available."
+ exit 3
+ else
+ echo " ok."
+ fi
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload|status}"
+ exit 1
+ ;;
+esac
+
+exit 0
Property changes on: fuse-3.16.2-new/util/init_script
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property